Skip to main content
GET
/
api
/
v2
/
block-lists-entries
List block list entry
curl --request GET \
  --url https://api.instantly.ai/api/v2/block-lists-entries \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019e3bd1-8dfa-744c-afd6-418889f0b33e",
      "timestamp_created": "2026-05-18T16:00:49.658Z",
      "organization_id": "019e3bd1-8dfa-744c-afd6-4189c133828e",
      "bl_value": "example.com",
      "is_domain": true
    }
  ],
  "next_starting_after": "019e3bd1-b528-763b-b6ad-6458f17eae38"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

domains_only
boolean

Filter by domain

Example:

true

Search by value

Example:

"example.com"

Response

The list of Block List Entry

items
Block List Entry · object[]
required

The list of Block List Entry

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019e3bd1-b528-763b-b6ad-6458f17eae38"